package puppet.slang;

import uk.ac.ucl.cs.slangta.jmi.impl.slang.SLA_Impl;

public class SLAngPuppetSpecification {

    private SLA_Impl slangSpecification;

    private String serviceURL;
    
    private String clientServiceName;
    
    public SLAngPuppetSpecification ( SLA_Impl slangSpecification, String serviceURL, String clientServiceName){
    	this.slangSpecification = slangSpecification;
    	this.serviceURL = serviceURL;
    	this.clientServiceName = clientServiceName;
    }

    public SLAngPuppetSpecification ( SLA_Impl slangSpecification){
    	this.slangSpecification = slangSpecification;
    	this.serviceURL = "";
    	this.clientServiceName = "";
    }

	public String getClientServiceName() {
		return clientServiceName;
	}

	public String getServiceURL() {
		return serviceURL;
	}

	public SLA_Impl getSlangSpecification() {
		return slangSpecification;
	}
	
}
